Redmine - Patch #12730

Fix sorting and PDF output of Gantt diagram & start date calculation and grouping
2013-01-04 10:08 - Tobias Droste

Status: New Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version: Candidate for next major release

Description

This patch does several things:

1. Fixes the sorting of issues so that the oldest one are on top and the newer ones are at the bottom

2. Fixes the PDF output for short items where the length of the bar would be 0 or negative with the old calculation

3. If no start date is given the date of the first issue in the query is used and the month count is set to include all issues (max. 48)

4. Keeps the query from other views and respects the grouping to group items in the diagram too (see Screenshot). If a query has
no grouping the view is the same as in the original version.

It passes all test that are available for the Gantt diagram.

(I could split it into 4 patches and provide more screenshots if there's interest)

Related issues:

Related to Redmine - Feature #347: Grouping issues in Gantt view New

Related to Redmine - Feature #4786: Gantt Chart - Grouping issues by target v... Closed 2010-02-10
Related to Redmine - Feature #7836: Ability to save Gantt query filters Closed 2011-03-11
Related to Redmine - Defect #8366: Gantt Version Ordering Closed 2011-05-13
Related to Redmine - Feature #9565: Gantt graph grouped by "assigned to" New 2011-11-14
Related to Redmine - Feature #11293: Order/Group tasks by users on Gantt New

Related to Redmine - Defect #7335: Sorting issues in gantt by date, not by id Closed 2011-01-15
Related to Redmine - Defect #11840: trouble with gantt New

Related to Redmine - Defect #6407: New gantt charts shouldn't display all iss... Closed 2010-09-16
History

#1 - 2013-01-04 10:24 - Tobias Droste

This (mostly) fixes following tickets:

e o o o o o o
i3
0o
(98]
(o]
(o]

#2 - 2013-01-04 10:29 - Daniel Felix
Hi Tobias,

thanks for this patch and your search.
| added the relations. | will try this patch and give a short feedback.

Best regards,
Daniel

#3 - 2013-01-04 12:03 - Daniel Felix
Hi,

the path works good. But the grouping of gantt doesn't seem to work?
| tested this with r11114.

2025-07-04 1/3



https://www.redmine.org/issues/11293
https://www.redmine.org/issues/9565
https://www.redmine.org/issues/8480
https://www.redmine.org/issues/8366
https://www.redmine.org/issues/7836
https://www.redmine.org/issues/4786
https://www.redmine.org/issues/347
https://www.redmine.org/projects/redmine/repository/svn/revisions/11114

| also tried this in combination with #3436. Which seems to work, after a manual merge.

Some Ul enhancements:
- the grouping box should be hidden by default as in every other modul

Best regards,
Daniel

#4 - 2013-01-04 13:32 - Toshi MARUYAMA
Tobias Droste wrote:

(I could split it into 4 patches and provide more screenshots if there's interest)

Please split and post it to each issues.
#5 - 2013-01-04 18:27 - Tobias Droste
Toshi MARUYAMA wrote:

Please split and post it to each issues.

Ok.
Daniel Felix wrote:

the path works good. But the grouping of gantt doesn't seem to work?
| tested this with r11114.

It should work, | tested it with r11113.

As Toshi MARUYAMA suggested | will split the patch.
And | make some additional changes to the grouping.
So see this patch as deprecated for now.

Daniel Felix wrote:
Some Ul enhancements:
- the grouping box should be hidden by default as in every other modul
| will change that.
Thanks for the feedback and testing and | will post a new split version to the corresponding tickets. (Probably tomorrow)
#6 - 2013-01-05 09:29 - Tobias Droste
- File Fix-PDF-output-of-Gantt-diagram-for-small-tickets.patch added
- File Gantt-Calculate-month-from-and-count-from-current-query.patch added
I'm attaching the patch to fix PDF output and the patch to calculate 'month from' and 'month count' here, because there are no tickets for this yet.
The other two are attached to these two tickets:

#347
#8366

#7 - 2013-01-05 12:36 - Daniel Felix

Thank you for your great work. | will try your patches soon (this weekend or maybe monday). Thank you for your work!

#8 - 2013-01-16 10:07 - Daniel Felix
- Assignee set to Jean-Philippe Lang

- Target version set to Candidate for next major release

Maybe Toshi or Jean-Philippe could take a look at the provided patches.
Would be nice to see this fixed. | tried most of them in my Redmine 2.2.1 and they work properly.

#9 - 2013-03-08 07:44 - Dominik Follmann
Hi folks,
https://www.redmine.org/issues/3436
https://www.redmine.org/projects/redmine/repository/svn/revisions/11114
https://www.redmine.org/projects/redmine/repository/svn/revisions/11113
https://www.redmine.org/issues/347
https://www.redmine.org/issues/8366

how is the status of this issue? As Daniel Felix said, he tested the patch successful. Is there a certain reason, why it won't be included in the next

major release (2.3.0) ?

| guess lots of people are facing these problems (mainly the gantt-sorting). It would be nice if someone would give an update.

I'm not a good ruby-hacker yet, but if | can support you with some tests or so, I'm available.

Regards
Dominik

#10 - 2013-03-08 08:19 - Toshi MARUYAMA

Dominik Follmann wrote:

Is there a certain reason, why it won't be included in the next major release (2.3.0) ?

There is no test.
source:trunk/test/unit/lib/redmine/helpers/gantt_test.ro@11559

#11 - 2015-02-13 10:23 - Sebastian Paluch

+1

#12 - 2022-12-06 14:18 - Celso Acurcio

| see this was a candidate for a major release a long time ago I've also commented on issue 347 [[https://www.redmine.org/issues/347]], I'm on
version 4.1.1 and it's still not possible to group per user for instance on Gantt view. Has this been carried forward, do | need to configure something to

enable this or was this feature abandoned?
